	PrefabFiles = {
		"wisteria_base",
		"silkbandage",
		"ointment",
		"wounddressing",
		"herbalbandage",
		"cutlichen"
	}
Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/wisteria.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/wisteria.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/wisteria.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/wisteria.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/wisteria_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/wisteria_silho.xml" ),

    Asset( "IMAGE", "bigportraits/wisteria.tex" ),
    Asset( "ATLAS", "bigportraits/wisteria.xml" ),
	
	Asset( "IMAGE", "images/map_icons/wisteria.tex" ),
	Asset( "ATLAS", "images/map_icons/wisteria.xml" ),
	
	Asset("ATLAS", "images/inventoryimages/cutlichen.xml"),
}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS
		
--The character select screen lines
STRINGS.CHARACTER_TITLES.wisteria = "The Herbalist"
STRINGS.CHARACTER_NAMES.wisteria = "Wisteria"
STRINGS.CHARACTER_DESCRIPTIONS.wisteria = "*Healing items are a little more potent.\n*Harmful items are also more potent.\n*Easily fooled..."
STRINGS.CHARACTER_QUOTES.wisteria = "\"Mushrooms, poppies, sugar and spice...\""

--Custom speech strings
STRINGS.CHARACTERS.WISTERIA = require "speech_wisteria"

--Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "wisteria")

AddMinimapAtlas("images/map_icons/wisteria.xml")
AddModCharacter("wisteria")

--Here we tell the game to get the configuration chosen in the modinfo.lua file. These values are then used into the Wisteria prefab.
if GetModConfigData("Maximum HP") == "hp80" then
	TUNING.WISTERIA_HEALTH = 80
end
if GetModConfigData("Maximum HP") == "hp100" then
	TUNING.WISTERIA_HEALTH = 100
end
if GetModConfigData("Maximum HP") == "hp110" then
	TUNING.WISTERIA_HEALTH = 110
end
if GetModConfigData("Maximum HP") == "hp120" then
	TUNING.WISTERIA_HEALTH = 120
end
if GetModConfigData("Maximum HP") == "hp150" then
	TUNING.WISTERIA_HEALTH = 150
end

if GetModConfigData("Maximum Sanity") == "san120" then
	TUNING.WISTERIA_SANITY = 120
end
if GetModConfigData("Maximum Sanity") == "san150" then
	TUNING.WISTERIA_SANITY = 150
end
if GetModConfigData("Maximum Sanity") == "san175" then
	TUNING.WISTERIA_SANITY = 175
end
if GetModConfigData("Maximum Sanity") == "san200" then
	TUNING.WISTERIA_SANITY = 200
end

if GetModConfigData("Damage Multiplier") == "weak" then
	TUNING.WISTERIA_DAMAGE_MULT = TUNING.WENDY_DAMAGE_MULT
end
if GetModConfigData("Damage Multiplier") == "strong" then
	TUNING.WISTERIA_DAMAGE_MULT = TUNING.WILSON_DAMAGE_MULT
end

--I decided to put here all descriptions and numbers regarding our custom items so as to have them all in one place: i like to be nice and tidy.

	--Here i will put all the quotes about the items, starting with the silk bandage.
	
        GLOBAL.STRINGS.NAMES.SILKBANDAGE = "Simple bandage"
        STRINGS.RECIPE_DESC.SILKBANDAGE = "A decently improvised silk bandage."
        GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SILKBANDAGE = "I can improve this by adding an ointment."
		
		GLOBAL.STRINGS.NAMES.OINTMENT = "Basic ointment"
		STRINGS.RECIPE_DESC.OINTMENT = "The wing is purely cosmetic."
		GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.OINTMENT = "Sticky and useful! Also, a bit smelly."
		
		GLOBAL.STRINGS.NAMES.WOUNDDRESSING = "Wound dressing"
		STRINGS.RECIPE_DESC.WOUNDDRESSING = "Apply directly on the wound."
		GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.WOUNDDRESSING = "Good thing i knew how to make this."
		
		GLOBAL.STRINGS.NAMES.HERBALBANDAGE = "Herbal bandage"
		STRINGS.RECIPE_DESC.HERBALBANDAGE = "A spelunker's best friend."
		GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.HERBALBANDAGE = "Lichens on a bandage. As simple as it is effective."
		
	--Now i set the healing numbers. You can enter the numbers directly in the prefab file if you feel like it.
		TUNING.HEALING_SILKBANDAGE = 12
		TUNING.HEALING_OINTMENT = 20
		TUNING.HEALING_WOUNDDRESSING = 35
		TUNING.HEALING_HERBALBANDAGE = 35